Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET /v1/screenshots//status — lightweight status check for a screenshot.
GET https://api.screenshotly.dev/v1/screenshots/{screenshotId}/status
X-API-Key
{ "success": true, "data": { "id": "67b8a1c2d3e4f5a6b7c8d9e0", "status": "completed", "imageUrl": "https://cdn.screenshotly.dev/screenshots/67b8a1c2d3e4f5a6b7c8d9e0.png" } }
{ "success": true, "data": { "id": "67b8a1c2d3e4f5a6b7c8d9e0", "status": "processing", "imageUrl": null } }
missing_api_key
invalid_api_key
forbidden
not_found
curl https://api.screenshotly.dev/v1/screenshots/67b8a1c2d3e4f5a6b7c8d9e0/status \ -H "X-API-Key: $SCREENSHOTLY_API_KEY"